cd %1
@echo off
@setlocal 

rem Vycisteni predchoziho behu
if exist period_search_out DEL period_search_out /Q
if exist period_search_state DEL period_search_state /Q
if exist stderr.txt DEL stderr.txt /Q
if exist boinc_finish_called DEL boinc_finish_called /Q
if exist boinc_lockfile DEL boinc_lockfile /Q

rem Casovac
set start=%time%
echo Zacinam testovat ...

rem Spoustim vypocet
%2%

rem Vyhodnoceni casu
echo Testovani ukonceno ...
set end=%time%
set options="tokens=1-4 delims=:."
for /f %options% %%a in ("%start%") do set start_h=%%a&set /a start_m=100%%b %% 100&set /a start_s=100%%c %% 100&set /a start_ms=100%%d %% 100
for /f %options% %%a in ("%end%") do set end_h=%%a&set /a end_m=100%%b %% 100&set /a end_s=100%%c %% 100&set /a end_ms=100%%d %% 100

set /a hours=%end_h%-%start_h%
set /a mins=%end_m%-%start_m%
set /a secs=%end_s%-%start_s%
set /a ms=%end_ms%-%start_ms%
if %hours% lss 0 set /a hours = 24%hours%
if %mins% lss 0 set /a hours = %hours% - 1 & set /a mins = 60%mins%
if %secs% lss 0 set /a mins = %mins% - 1 & set /a secs = 60%secs%
if %ms% lss 0 set /a secs = %secs% - 1 & set /a ms = 100%ms%
if 1%ms% lss 100 set ms=0%ms%

set /a totalsecs = %hours%*3600 + %mins%*60 + %secs%
echo Doba zpracovani: %hours%:%mins%:%secs%.%ms% (%totalsecs%.%ms%s celkem)